Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005441opensim[REGION] OpenSim Corepublic2011-04-15 18:582011-05-06 18:52
ReporterBlueWall 
Assigned Tojustincc 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Versionmaster (dev code) 
Target Versionmaster (dev code)Fixed in Version 
Summary0005441: Coalesced objects rez in wrong positions
Descriptionc5465414b64d835128827976cc3da32aa462e6a3 breaks the rez position of coalesced objects. Taking a group of 64 objects arranged in a cube restores as a diagonal line of objects with the correct height (Z), but the objects are combined into single stacks aligned along opposing corners (attaching snapshots).
TagsNo tags attached.
Git Revision or version numberc5465414b64d835128827976cc3da32aa462e6a3
Run Mode Grid (1 Region per Sim)
Physics EngineODE
EnvironmentMono / Linux64
Mono VersionOther
ViewerImprudence 1.3.0
Attached Files

- Relationships

-  Notes
(0018292)
BlueWall (administrator)
2011-04-15 19:03
edited on: 2011-04-15 19:10

Snapshot...

https://picasaweb.google.com/106476417995132811459/Apr152011?authkey=Gv1sRgCNXz0NOVoK_BQQ#5595995644814463746 [^]


Also, the error is applied when taking the objects. The wrong positions are stored in the object when it is taken and will rez improperly even on a good version. And, objects take on a good version will rez properly on a bad version.

(0018293)
Bruce (reporter)
2011-04-17 10:42

Confirming this happens in Win environment too. Tested with commit r/15225 of 15-Apr-11, HG standalone architecture, ODE, Win2k3, .NET and Imprudence 1.3.1.
(0018294)
nebadon (administrator)
2011-04-17 11:09

I also can confirm this issue.
(0018295)
FrankNichols (reporter)
2011-04-17 11:34

COnfirmed on OSX running mono 2.10.1
(0018298)
justincc (administrator)
2011-04-18 13:10

Hopefully resolved by 5a404a9 in git master.

- Issue History
Date Modified Username Field Change
2011-04-15 18:58 BlueWall New Issue
2011-04-15 18:58 BlueWall Git Revision => c5465414b64d835128827976cc3da32aa462e6a3
2011-04-15 18:58 BlueWall SVN Revision => 0
2011-04-15 18:58 BlueWall Run Mode => Grid (1 Region per Sim)
2011-04-15 18:58 BlueWall Physics Engine => ODE
2011-04-15 18:58 BlueWall Environment => Mono / Linux64
2011-04-15 18:58 BlueWall Mono Version => Other
2011-04-15 18:58 BlueWall Viewer => Imprudence 1.3.0
2011-04-15 19:03 BlueWall Note Added: 0018292
2011-04-15 19:10 BlueWall Note Edited: 0018292
2011-04-17 10:42 Bruce Note Added: 0018293
2011-04-17 11:09 nebadon Note Added: 0018294
2011-04-17 11:09 nebadon Status new => confirmed
2011-04-17 11:34 FrankNichols Note Added: 0018295
2011-04-18 13:10 justincc Status confirmed => resolved
2011-04-18 13:10 justincc Resolution open => fixed
2011-04-18 13:10 justincc Assigned To => justincc
2011-04-18 13:10 justincc Note Added: 0018298
2011-05-06 18:52 chi11ken Status resolved => closed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker